package com.liquidnet.service.kylin.dto.vo.ticketSystem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class TicketVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "票ID [必传]")
    private String ticketId;
    @ApiModelProperty(value = "是否可售[必传 1：可售，2：不可售]")
    private Integer availableSale;
    @ApiModelProperty(value = "楼层 [有座必传]")
    private String floorName;
    @ApiModelProperty(value = "区域名称 [有座必传]")
    private String areaName;
    @ApiModelProperty(value = "排 [有座必传]")
    private String rowName;
    @ApiModelProperty(value = "座位号 [有座必传]")
    private String seatNo;
    private static final TicketVo obj = new TicketVo();

    public static TicketVo getNew() {
        try {
            return (TicketVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new TicketVo();
    }
}
